net.sourceforge.pmd.lang.java.ast

## Class ASTLocalVariableDeclaration

- java.lang.Object
- - net.sourceforge.pmd.lang.ast.AbstractNode
  - - net.sourceforge.pmd.lang.java.ast.AbstractJavaNode
    - - net.sourceforge.pmd.lang.java.ast.AbstractJavaAccessNode
      - - net.sourceforge.pmd.lang.java.ast.ASTLocalVariableDeclaration

All Implemented Interfaces:
  Node, AccessNode, CanSuppressWarnings, Dimensionable, JavaNode

    public class ASTLocalVariableDeclaration
    extends AbstractJavaAccessNode
    implements Dimensionable, CanSuppressWarnings

### Field Summary

### Fields inherited from class net.sourceforge.pmd.lang.java.ast.AbstractJavaNode

`parser`

### Fields inherited from class net.sourceforge.pmd.lang.ast.AbstractNode

`beginColumn, beginLine, children, endColumn, endLine, id, parent`

### Fields inherited from interface net.sourceforge.pmd.lang.java.ast.AccessNode

`ABSTRACT, FINAL, NATIVE, PRIVATE, PROTECTED, PUBLIC, STATIC, STRICTFP, SYNCHRONIZED, TRANSIENT, VOLATILE`

### Constructor Summary

Constructors
Constructor and Description
`ASTLocalVariableDeclaration(int id)`
`ASTLocalVariableDeclaration(JavaParser p, int id)`

### Method Summary

Methods
`int` `getArrayDepth()`
`ASTType` `getTypeNode()`
`String` `getVariableName()` Gets the variable name of this field.
`boolean` `hasSuppressWarningsAnnotationFor(Rule rule)`
`boolean` `isArray()`
`Object` `jjtAccept(JavaParserVisitor visitor, Object data)` Accept the visitor

### Methods inherited from class net.sourceforge.pmd.lang.java.ast.AbstractJavaAccessNode

`getModifiers, isAbstract, isFinal, isNative, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, isStrictfp, isSynchronized, isTransient, isVolatile, setAbstract, setFinal, setModifiers, setNative, setPrivate, setProtected, setPublic, setStatic, setStrictfp, setSynchronized, setTransient, setVolatile`

### Methods inherited from class net.sourceforge.pmd.lang.java.ast.AbstractJavaNode

`childrenAccept, comment, comment, getScope, jjtClose, jjtOpen, setScope, toString`

### Methods inherited from class net.sourceforge.pmd.lang.ast.AbstractNode

`appendElement, findChildNodesWithXPath, findChildrenOfType, findDescendantsOfType, findDescendantsOfType, getAsDocument, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstDescendantOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getUserData, hasDecendantOfAnyType, hasDescendantMatchingXPath, hasDescendantOfType, hasImageEqualTo, isFindBoundary, isSingleLine, jjtAddChild, jjtGetChild, jjtGetId, jjtGetNumChildren, jjtGetParent, jjtSetParent, setDataFlowNode, setImage, setUserData, testingOnly__setBeginColumn, testingOnly__setBeginLine, testingOnly__setEndColumn, testingOnly__setEndLine`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface net.sourceforge.pmd.lang.ast.Node

`findChildNodesWithXPath, findChildrenOfType, findDescendantsOfType, findDescendantsOfType, getAsDocument, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstDescendantOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getUserData, hasDescendantMatchingXPath, hasDescendantOfType, hasImageEqualTo, isFindBoundary, jjtAddChild, jjtGetChild, jjtGetId, jjtGetNumChildren, jjtGetParent, jjtSetParent, setDataFlowNode, setImage, setUserData`

### Constructor Detail

#### ASTLocalVariableDeclaration

    public ASTLocalVariableDeclaration(int id)

#### ASTLocalVariableDeclaration

    public ASTLocalVariableDeclaration(JavaParser p,
                               int id)

### Method Detail

#### jjtAccept

    public Object jjtAccept(JavaParserVisitor visitor,
                   Object data)

Accept the visitor. *

Specified by:
  `jjtAccept` in interface `JavaNode`
Overrides:
  `jjtAccept` in class `AbstractJavaNode`

#### hasSuppressWarningsAnnotationFor

    public boolean hasSuppressWarningsAnnotationFor(Rule rule)

Specified by:
  `hasSuppressWarningsAnnotationFor` in interface `CanSuppressWarnings`

#### isArray

    public boolean isArray()

Specified by:
  `isArray` in interface `Dimensionable`

#### getArrayDepth

    public int getArrayDepth()

Specified by:
  `getArrayDepth` in interface `Dimensionable`

#### getTypeNode

    public ASTType getTypeNode()

#### getVariableName

    public String getVariableName()

Gets the variable name of this field. This method searches the first VariableDeclartorId node and returns it's image or `null` if the child node is not found.

Returns:
  a String representing the name of the variable